t0=0; tfinal=0.04; tol=1e-7; trace=1e-7; y0=[0 0 0]';
[t,y]=ode45('ch_4_04',t0,tfinal,y0,tol,trace);
subplot(2,2,1); plot(t,y);
xlabel('Time (seconds)'); 
title('Transient dynamics of the state variables');
subplot(2,2,2); plot(t,y(:,1),'-');
xlabel('Time (seconds)'); title('Voltage uc, [V]');
subplot(2,2,3); plot(t,y(:,2),'-');
xlabel('Time (seconds)'); title('Current il, [A]');
subplot(2,2,4); plot(t,y(:,3),'-');
xlabel('Time (seconds)'); title('Current ia, [A]');
disp('End');





































