% Dynamics of the forward converter
function yprime=difer(t,y);
% parameters
Vd=30; rl=0.02; rc=0.01; ra=3.2; C=0.002; L=0.000005; D=0.5;
% differential equations for the forward converters
yprime=[(-y(1,:)+ra*y(2,:))/(C*(rc+ra));...
(-(ra/(rc+ra))*y(1,:)+(ra*ra/(rc+ra)-rl-ra)*y(2,:)+Vd*D)/L];