% Dynamics of the buck converter
function yprime=difer(t,y);
% parameters
Vd=30; Ea=6; rs=0.035; rl=0.02; rc=0.15; ra=3.2;
C=0.003; L=0.0007; La=0.004; D=0.5;
% differential equations for buck converters
yprime=[(y(2,:)-y(3,:))/C;...
(-y(1,:)-(rl+rc)*y(2,:)+rc*y(3,:)-rs*y(2,:)*D+Vd*D)/L;...
(y(1,:)+rc*y(2,:)-(rc+ra)*y(3,:)-Ea)/La];